{% extends 'base.html.twig' %}

{% block title %}{{page_title}}{% endblock %}

{% block body %}

<div class="col-md-12">
    <div class="content-box-large">
        <div class="panel-heading">
          <div class="panel-title">{{'Order list'|trans}}</div>
          
          <div class="panel-options">
              <a href="{{path('orders_add')}}" data-rel="collapse"><i class="fa fa-plus"></i></a>
          </div>
          <div class="order-filters" style="display:inline-block;width:100%;">
              <form id="order-filters-form">
                <div class="col-xs-12 col-md-2">
                    <input type="text" class="form-control filter-item" name="number" value="{{app.request.query.get('number')}}"  placeholder="{{'Filter by number'|trans}}">
                </div>
                <div class="col-xs-12 col-md-2" style="{{hideCustomerFilter?'display:none':''}}">
                    <input type="text" class="form-control filter-item" name="customer" value="{{app.request.query.get('customer')}}"  placeholder="{{'Filter by customer'|trans}}">
                </div>
                <div class="col-xs-12 col-md-2">
                    <select class="form-control  filter-item" name="status">
                      <option value="">{{"Filter by status"}}</option>
                      <option value="new" {{app.request.query.get('status') == "new"?'selected':''}}>{{"New"|trans}}</option>
                      <option value="complete" {{app.request.query.get('status') == "complete"?'selected':''}}>{{"Complete"|trans}}</option>
                      <option value="canceled" {{app.request.query.get('status') == "canceled"?'selected':''}}>{{"Canceled"|trans}}</option>
                    </select>
                </div>
                <div class="col-xs-12 col-md-2">
                    <input type="text" value="{{app.request.query.get("total")}}" class="form-control filter-item" name="total"  placeholder="{{'Filter by total'|trans}}">
                </div>
                <div class="col-xs-12 col-md-2">
                    <input type="text" value="{{app.request.query.get("date")}}" class="form-control start_date filter-dates" name="date"  placeholder="{{'Filter by date'|trans}}">
                </div>
                <div class="col-xs-12 col-md-2">
                    <input type="text" value="{{app.request.query.get("e_date")}}" class="form-control end_date filter-dates" name="e_date"  placeholder="{{'Filter by end date'|trans}}">
                </div>
                </form>
            </div>
      </div>
        <div class="panel-body">
            <div class="table-responsive">
            <table class="table table-striped">
            <thead>
              <tr>
                <th>{{'Number'|trans}}</th>
                <th>{{'Customer'|trans}}</th>
                <th>{{'Is company'|trans}}</th>
                <th>{{'Status'|trans}}</th>
                <th>{{'Total excl tax'|trans}}</th>
                <th>{{'Total incl tax'|trans}}</th>
                <th>{{'Date created'|trans}}</th>
                <th>{{'Actions'|trans}}</th>
              </tr>
            </thead>
            <tbody>
             {% for order in orders %} 
                <tr>
                  <td>#{{order.number}}</td>
                  <td>{{order.getClientName()}}</td>
                  <td>{{order.isCompany()?'<i class="far fa-check-circle"></i>':'<i class="far fa-times-circle"></i>'}}</td>
                  <td>{{order.status|capitalize}}</td>
                  <td>{{order.getFormattedTotalExclTax(default_currency_symbol)|raw}}</td>
                  <td>{{order.getFormattedTotalInclTax(default_currency_symbol)|raw}}</td>
                  <td>{{order.getDateCreated()|date('d.m.Y H:i')}}</td>
                  <td>
                      <a href="{{path('orders_edit',{
                        id:order.id
                    })}}">
                      <i class="far fa-edit"></i>
                    </a>
                  </td>
                </tr>
             {% endfor %}
            </tbody>
          </table>
          </div>
          {{knp_pagination_render(orders)}}
        </div>
    </div>
</div>
{% endblock %}

{% block scripts %}
  {{parent()}}
  <script src="{{asset('js/order.js')}}"></script>
{% endblock %}

